Rebase llvm to 3.9.1 for new graphics requirements. I will rebase mesa later to 17.0.1.

How to install

sudo dnf upgrade --advisory=FEDORA-2017-82d76412cf

This update has been submitted for testing by airlied.

3 years ago

This update has been pushed to testing.

3 years ago
User Icon jistone commented & provided feedback 3 years ago
karma

Works for me!

Test Case rust compile
User Icon dhgutteridge commented & provided feedback 3 years ago
karma

No regressions noted related to Mesa.

User Icon nickbnf commented & provided feedback 3 years ago

Can you also include a qt-creator in your build? In current version it breaks qt-creator.

Error: package qt-creator-4.1.0-2.fc25.1.x86_64 requires libclang.so.3.8()(64bit), but none of the providers can be installed

User Icon bojan commented & provided feedback 3 years ago
karma

No regressions here on x86_64 (mesa).

This update has been submitted for stable by bodhi.

3 years ago

airlied edited this update.

New build(s):

  • qt-creator-4.1.0-2.fc25.2
3 years ago

This update has been submitted for testing by airlied.

3 years ago
User Icon greg18 commented & provided feedback 3 years ago
karma

works for me

BZ#1425598 Bump clang to 3.9.1
User Icon decathorpe commented & provided feedback 3 years ago

This update cannot be installed when gnome-builder is present on the system. It needs to be rebuilt against the new libclang, too.

$ sudo dnf distro-sync --best

Error: package gnome-builder-3.22.4-1.fc25.x86_64 requires libclang.so.3.8()(64bit), but none of the providers can be installed. package clang-libs-3.8.1-1.fc25.x86_64 requires libLLVM-3.8.so()(64bit), but none of the providers can be installed

User Icon pwalter commented & provided feedback 3 years ago
karma

Works

User Icon cserpentis commented & provided feedback 3 years ago
karma

works for me

User Icon funfunctor commented & provided feedback 3 years ago
karma

works well ! @airlied also closes bug 1381109

BZ#1425598 Bump clang to 3.9.1
User Icon lupinix commented & provided feedback 3 years ago
karma

Looks like there are more packages to be rebuilt, in my case kdevelop blocks the update

Error: package kdevelop-libs-9:5.0.4-1.fc25.x86_64 requires libclang.so.3.8()(64bit), but none of the providers can be installed.

This update has been pushed to testing.

3 years ago
User Icon heikoada commented & provided feedback 3 years ago
karma

LGTM

User Icon ignatenkobrain commented & provided feedback 3 years ago

Broken UPGRADEPATH

BZ#1425598 Bump clang to 3.9.1
User Icon ignatenkobrain commented & provided feedback 3 years ago
karma

Also bunch of packages were not rebuilt for new soname

BZ#1425598 Bump clang to 3.9.1
User Icon kuosmanen commented & provided feedback 3 years ago
karma

works for me

User Icon filiperosset commented & provided feedback 3 years ago
karma

-1 due some packages not rebuilt for this update

airlied edited this update.

New build(s):

  • gnome-builder-3.22.4-2.fc25
3 years ago

This update has been submitted for testing by airlied.

3 years ago
User Icon lupinix commented & provided feedback 3 years ago
karma

Still rebuilds missing in this update (at least kdevelop, did not check for more), so I'll keep the -1 here

airlied edited this update.

New build(s):

  • kdevelop-5.0.4-3.fc25
3 years ago
User Icon renault commented & provided feedback 3 years ago
karma

Seems good

User Icon funfunctor provided feedback 3 years ago
karma
BZ#1425598 Bump clang to 3.9.1

This update has been pushed to testing.

3 years ago
User Icon pwalter commented & provided feedback 3 years ago
karma

Works

This update has been submitted for stable by bodhi.

3 years ago
User Icon nickbnf commented & provided feedback 3 years ago
karma

airlied: thx for your effort! Works for me.

BZ#1425598 Bump clang to 3.9.1
User Icon elad commented & provided feedback 3 years ago
karma

I don't think the gnome-builder rebuild was done correctly. gnome-builder-3.22.4-2.fc25 still requires libclang.so.3.8, while it should've been libclang.so.3.9 after the rebuild.

Because of this I can't install the update without removing gnome-builder.

User Icon lupinix commented & provided feedback 3 years ago
karma

This update has been pushed to stable.

3 years ago
User Icon kalev commented & provided feedback 3 years ago

Please login to add feedback.

Metadata
Type
enhancement
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
modified
3 years ago
BZ#1425598 Bump clang to 3.9.1
0
2

Automated Test Results

Test Cases

0 0 Test Case lldb script
0 0 Test Case rust compile